Public pages visualised by data miner services and proxies 

Oct 15, 2018 07:56 PM - Pasquale Pagano

Status: Closed Start date: Oct 15, 2018

Priority: High Due date:  

Assignee: Giancarlo Panichi % Done: 100%

Category: High-Throughput-Computing Estimated time: 0.00 hour

Target version: DataMiner - Configuration   

Infrastructure: Production   

Description

If you access either  http://dataminer0-proto.d4science.org//wps/ or http://dataminer-prototypes.d4science.org/wps/ you get the WPS

standard page from 52°North WPS.

This is not correct (and even wrong). The service accessible at those addresses is the DataMiner and not the simple implementation

offered by 52 North. 

This page has to be changed with a proper html page. 

I am assigning the ticket to @andrea.dellamico@isti.cnr.it but the page could be prepared by @g.panichi@isti.cnr.it. 

History

#1 - Oct 16, 2018 10:07 AM - Leonardo Candela

I would also suggest to reconsider the WPS responses.

For instance this is the getCapabilities

http://dataminer-prototypes.d4science.org/wps/WebProcessingService?request=getCapabilities

   &service=WPS&Version=1.0.0

   &gcube-token=<TOKEN>

   &lang=en-US 

 reporting this 

<ows:ServiceProvider>

        <ows:ProviderName>National Research Council of Italy</ows:ProviderName>

        <ows:ProviderSite xlink:href="www.d4science.org" />

        <ows:ServiceContact>

            <ows:IndividualName>Gianpaolo Coro</ows:IndividualName>

            <ows:PositionName>Researcher</ows:PositionName>

            <ows:ContactInfo>

                <ows:Phone>

                    <ows:Voice>+39 050 621 2978</ows:Voice>

                </ows:Phone>

                <ows:Address>

                    <ows:DeliveryPoint>Via Moruzzi 1</ows:DeliveryPoint>

                    <ows:City>Pisa</ows:City>

                    <ows:AdministrativeArea>Istituto di Scienza e Tecnologie dell'Informazione A. Faedo</ows:A

dministrativeArea>

                    <ows:PostalCode>56124</ows:PostalCode>

                    <ows:Country>Italy</ows:Country>

                    <ows:ElectronicMailAddress>gianpaolo.coro@isti.cnr.it</ows:ElectronicMailAddress>

                </ows:Address>

            </ows:ContactInfo>

        </ows:ServiceContact>

    </ows:ServiceProvider>

 To me the provider is not CNR rather it is D4Science, moreover I would suggest having email addresses like wps@d4science.org rather than

personal emails. 

#2 - Oct 16, 2018 10:26 AM - Andrea Dell'Amico

- Assignee changed from Andrea Dell'Amico to Giancarlo Panichi

I'm reassigning to Giancarlo, when he'll have the new index.html ready I'll change the playbook to replace the original.
About the GetCapabilities information, I don't know where they come from.

#3 - Oct 18, 2018 04:17 PM - Giancarlo Panichi

- Status changed from New to In Progress

- Assignee changed from Giancarlo Panichi to Tommaso Piccioli

- % Done changed from 0 to 50

Please @tommaso.piccioli@isti.cnr.it , can you create a mail list through which the emails can be sent to all dataminer managers?

Thanks

#4 - Oct 18, 2018 05:21 PM - Tommaso Piccioli

- Assignee changed from Tommaso Piccioli to Giancarlo Panichi

open mailing list 

dataminer-managers@d4science.org

created, these are the destination addresses:

giancarlo.panichi@isti.cnr.it

 roberto.cirillo@isti.cnr.it

 lucio.lelii@isti.cnr.it

 leonardo.candela@isti.cnr.it

 gianpaolo.coro@isti.cnr.it 

#5 - Oct 18, 2018 05:42 PM - Giancarlo Panichi

- % Done changed from 50 to 100

The information contained in the DataMiner Service metadata and pages has been updated. The services will be updated with the release of gCube

4.13.

#7 - Mar 08, 2019 11:18 AM - Giancarlo Panichi

- Status changed from In Progress to Closed
